package Events;

import commandSystem.Direction;

public class CancelEmergencyStopEvent implements Event{
	
	public CancelEmergencyStopEvent() {
	}

	@Override
	public Direction getRequestedDirection() {
		return Direction.NONE;
	}

	@Override
	public int getRequestedFloor() {
		return -1;
	}

	@Override
	public int getIncomingCallFloor() {
		return -1;
	}

	@Override
	public EventType getType() {
		return EventType.CANCELEMERGENCYSTOP;
	}

	@Override
	public int getCurrentFloor() {
		return -1;
	}

	@Override
	public Direction getCurrentDirection() {
		return Direction.NONE;
	}

}
